package examples.teeda.web.scope;

import java.io.Serializable;

import org.seasar.teeda.extension.annotation.scope.RedirectScope;
import org.seasar.teeda.extension.annotation.scope.SubapplicationScope;

public class ScopeTestPage implements Serializable {

	private static final long serialVersionUID = 1L;

	@RedirectScope
	private String redirectScopeItem;

	private String inputItem;

	private String item;

	@SubapplicationScope
	private String subApplicationScopeItem;

	public String getRedirectScopeItem() {
		return redirectScopeItem;
	}

	public void setRedirectScopeItem(String redirectScopeItem) {
		this.redirectScopeItem = redirectScopeItem;
	}

	public String getInputItem() {
		return inputItem;
	}

	public void setInputItem(String inputItem) {
		this.inputItem = inputItem;
	}

	public String getItem() {
		return item;
	}

	public void setItem(String item) {
		this.item = item;
	}

	public String getSubApplicationScopeItem() {
		return subApplicationScopeItem;
	}

	public void setSubApplicationScopeItem(String subApplicationScopeItem) {
		this.subApplicationScopeItem = subApplicationScopeItem;
	}

	public Class doNext() {
		return ScopeTestResultPage.class;
	}

	public void prerender() {
		setSubApplicationScopeItem("サブアプリケーションスコープ");
		setRedirectScopeItem("リダイレクトスコープ");
		setInputItem("デフォルトスコープ");
		setItem("デフォルトスコープ");
	}

}
